Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class NoOperation

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.NoOperation

All Implemented Interfaces:
  Streamable

public class NoOperation
extends AbstractAFPObject

The No Operation structured field may be used to carry comments or any other type of unarchitected data. Although not recommended, it may also be used to carry semantic data in private or exchange data streams. However, because receivers of interchange data streams should ignore the content of No Operation structured fields and because receiver-generator products are not required to propagate No Operation structured fields, no semantics should be attached to the data carried by the No Operation structured field in interchange

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`NoOperation(java.lang.String content)` Construct a tag logical element with the name and value specified.

Method Summary
`void` | `writeToStream(java.io.OutputStream os)` Accessor method to obtain the byte array AFP datastream for the NoOperation.

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOperation

    public NoOperation(java.lang.String content)

  Construct a tag logical element with the name and value specified.

Parameters:
  `content` - the content to record

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  Accessor method to obtain the byte array AFP datastream for the NoOperation.

  Parameters:
    `os` - The outputsteam stream
  Throws:
    `java.io.IOException` - if an I/O exception occurs during processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.